package com.democompany.soa.esb.service.util.customj.parammap;

/**
 * This class represents an input or an output parameter for a single service
 * invocation.
 * 
 * @author Leon Rubin
 */
public class Parameter {
	private String name;
	private String type;
	private String value;

	/**
	 * Gets parameter name.
	 * 
	 * @return String containing the parameter name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets parameter name.
	 * 
	 * @param name
	 *            parameter name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets parameter type.
	 * 
	 * @return String containing the parameter type
	 */
	public String getType() {
		return type;
	}

	/**
	 * Sets parameter type.
	 * 
	 * @param type
	 *            parameter type
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * Gets parameter value.
	 * 
	 * @return String containing the parameter value
	 */
	public String getValue() {
		return value;
	}

	/**
	 * Sets parameter value.
	 * 
	 * @param value
	 *            parameter value
	 */
	public void setValue(String value) {
		this.value = value;
	}

	public String toString() {
		return "{" + "name=" + name + ", type=" + type + ", value=" + value
				+ "}";
	}
}
