package com.democompany.soa.esb.service.util.xml;

import com.democompany.soa.esb.service.util.exception.XMLException;

/**
 * This interface defines a single method for parsing a specified XML file and
 * converting its contents to a Java object.
 * 
 * @author Leon Rubin
 */
public interface XMLParser {
	/**
	 * Parses the specified XML file and creates a Java object based on the
	 * mapping instructions supplied in the mapping file.
	 * 
	 * @param xmlFile
	 *            the file containing the XML
	 * @param mappingFileName
	 *            mapping file containing the instructions of how to parse the
	 *            file and convert it to Java objects
	 * @return Object that encapsulates the data in the specified XML file
	 * @throws XMLException
	 *             if a problem occurs during XML processing
	 */
	Object parse(String xmlFile, String mappingFileName) throws XMLException;
}
